When one of a record's own columns is asked, insisted on or frozen, as the rule rather than as the answer.
curl --request POST \
--url https://app.assetinfinity.ai/api/record_field_condition_settings \
--header 'Content-Type: application/json' \
--data '
{
"column_name": "<string>",
"effect": "<string>",
"entity_type": "<string>",
"expression": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"row_version": 123,
"sort_order": 123
}
'import requests
url = "https://app.assetinfinity.ai/api/record_field_condition_settings"
payload = {
"column_name": "<string>",
"effect": "<string>",
"entity_type": "<string>",
"expression": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"row_version": 123,
"sort_order": 123
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
column_name: '<string>',
effect: '<string>',
entity_type: '<string>',
expression: '<string>',
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
row_version: 123,
sort_order: 123
})
};
fetch('https://app.assetinfinity.ai/api/record_field_condition_settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Custom fields
When one of a record's own columns is asked, insisted on or frozen, as the rule rather than as the answer.
POST
/
record_field_condition_settings
When one of a record's own columns is asked, insisted on or frozen, as the rule rather than as the answer.
Headers
Preference
Available options:
return=representation, return=minimal, return=none, resolution=ignore-duplicates, resolution=merge-duplicates Query Parameters
Filtering Columns
Body
application/jsonapplication/vnd.pgrst.object+jsonapplication/vnd.pgrst.object+json;nulls=strippedtext/csv
record_field_condition_settings
When one of a record's own columns is asked, insisted on or frozen, as the rule rather than as the answer.
Maximum string length:
63Maximum string length:
20Note:
This is a Foreign Key to custom_field_entities.entity.
Maximum string length:
80Note: This is a Primary Key.
Response
201
Created
⌘I

